Geocode

This endpoint allows to find the geo-coordinates of a known address, place, locality or administrative area, even if the query is incomplete or partly incorrect. It also returns a complete postal address string and address details. It supports structured, unstructured and hybrid queries - combinations of structured and unstructured query elements.

Query Params
string

Specify the center of the search context expressed as coordinates.

Format: {latitude},{longitude}

Type: {decimal},{decimal}

Example: -13.163068,-72.545128 (Machu Picchu Mountain, Peru)

string

Search within a geographic area. This is a hard filter. Results will be returned if they are located within the specified area.

A geographic area can be

  • a country (or multiple countries), provided as comma-separated ISO 3166-1 alpha-3 country codes

    The country codes are to be provided in all uppercase.

    Format: countryCode:{countryCode}[,{countryCode}]*

    Examples:

    • countryCode:USA
    • countryCode:CAN,MEX,USA
int32
1 to 100
Defaults to 20

Maximum number of results to be returned.

string

Enter a free-text query

Examples:

  • 125, Berliner, berlin
  • Beacon, Boston, Hospital
  • Schnurrbart German Pub and Restaurant, Hong Kong

Note: Either q or qq-parameter is required on this endpoint. Both parameters can be provided in the same request.

string

Enter a qualified query. A qualified query is similar to a free-text query, but in a structured manner. It can take multiple sub-parameters, separated by semicolon, allowing to specify different aspects of a query.

Currently supported sub-parameters are country, state, county, city, district, street, houseNumber, and postalCode.

Format: {sub-parameter}={string}[;{sub-parameter}={string}]*

Examples:

  • city=Berlin;country=Germany;street=Friedrichstr;houseNumber=20
  • city=Berlin;country=Germany
  • postalCode=10969

Note: Either q or qq-parameter is required on this endpoint. Both parameters can be provided in the same request.

string

Select the language to be used for result rendering from a list of BCP 47 compliant language codes.

show
array of strings

Select additional fields to be rendered in the response. Please note that some of the fields involve additional webservice calls and can increase the overall response time.

The value is a comma-separated list of the sections to be enabled. For each section there is a long and a short version of its id.

Description of accepted values:

BETA: 'parsing'

show
Headers
string

Used to correlate requests with their responses within a customer's application, for logging and error reporting.

Format: Free string, but a valid UUIDv4 is recommended.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json